### Home Classes Methods

### In Files

- lib/yajl/gzip/stream_writer.rb

### Parent

Zlib::GzipWriter

### Methods

- ::encode

### Files

- README.rdoc
- Makefile

### Class/Module Index

Quicksearch

- Yajl
- Yajl::Bzip2
- Yajl::Bzip2::StreamReader
- Yajl::Bzip2::StreamWriter
- Yajl::Deflate
- Yajl::Deflate::StreamReader
- Yajl::Deflate::StreamWriter
- Yajl::EncodeError
- Yajl::Encoder
- Yajl::Gzip
- Yajl::Gzip::StreamReader
- Yajl::Gzip::StreamWriter
- Yajl::HttpStream
- Yajl::HttpStream::HttpError
- Yajl::HttpStream::InvalidContentType
- Yajl::ParseError
- Yajl::Parser
- Yajl::Stream
- JSON
- JSON::GeneratorError
- JSON::JSONError
- JSON::ParserError
- Array
- FalseClass
- Fixnum
- Float
- Hash
- Kernel
- NilClass
- Object
- String
- TrueClass

No matching classes.

# Yajl::Gzip::StreamWriter

Wraper around the Zlib::GzipWriter class

### Public Class Methods

encode(obj, io) click to toggle source

A helper method for one-off encoding to a gzip-compressed stream

Look up Yajl::Encoder#encode for parameter documentation

    # File lib/yajl/gzip/stream_writer.rb, line 8
    def self.encode(obj, io)
      Yajl::Encoder.new.encode(obj, new(io))
    end

[Validate]

Generated with the Darkfish Rdoc Generator 2.